v1.0.0
OpenAPI 3.1.0

List sender identities

US region

Client Libraries

List sender identities

Returns a list of senders in your workspace. Senders are who your messages are "from".

Query Parameters
  • start
    Type: string

    The token for the page of results you want to return. Responses contain a next property. Use this property as the start value to return the next page of results.

  • limit
    Type: integer

    The maximum number of results you want to retrieve per page.

  • sort
    Type: stringenum

    Determine how you want to sort results, asc for chronological order and desc for reverse chronological order.

    values
    • asc
    • desc
  • hidden
    Type: boolean

    If true, include hidden senders in the results.

Responses
  • application/json
  • 429

    Your request is over the 10-per-second limit.

Request Example for get/v1/sender_identities
curl 'https://api.customer.io/v1/sender_identities?start=&limit=1&sort=asc&hidden=true' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "sender_identities": [
    {
      "id": 4534,
      "deduplicate_id": "4534:1478035647",
      "name": "Cher Ami",
      "email": "test@example.com",
      "address": "Cher Ami <test@example.com>",
      "template_type": "email",
      "auto_generated": false
    }
  ],
  "next": "string"
}